> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/dashboard/items/extensions

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/dashboard/items/extensions
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a summary of information about the file name extensions of all [Secure Objects](/3.1/api/creating-secure-objects-and-collections.md#secure-object) in the *Created* state on the Covata Platform.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a summary of information about the file name extensions of all Secure Objects in the *Created* state on the Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.1/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/3.1/admin.md)):

* [System administrator](/3.1/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/3.1/api/access-service-api-v1-dashboard-items-extensions.md#access-service-api-v1-dashboard-items-extensions-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **totalObjects** - .
* **breakdownByExtension** - An array containing information about the file name extensions of all Secure Objects in the *Created* state on the Covata Platform. Each element of this array contains information about one of these file name extensions and is represented as an object, containing the following members:

  * **extensionType** - .
  * **objectCount** - .
  * **percentOfAllObjects** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.